
fn replaceModels str = 
(
	data = filterstring str "~"
	name = data[2]
	file = data[3]
	models = getnodebyname name all:true
	if models.count > 0 and doesfileexist file do
	(
		names = getMAXFileObjectNames file quiet:on
		if finditem names name > 0 do
		(
			count = objects.count
			mergeMAXFile file #(name) #noRedraw #mergeDups #useMergedMtlDups #neverReparent 
			if count < objects.count do 
			(
				target = objects[objects.count]
				for model in models do
				(
					mat = model.mat
					instancereplace model target
					model.mat = mat
				)
				delete target
			)
		)
	)
	models
)

replaceModels "~DESCRIPTION_GOES_HERE~Box001~C:\Users\Jack\Desktop\cylinder_coloured.max"

